package com.ruoyi.project.office.entities;

import lombok.Data;


@Data
public class UserFile {

    private String userFileId;

    private String userId;

    private String fileId;

    private String fileName;

    private String filePath;

    private String extendName;

    private Integer isDir;

    private String uploadTime;

    private Integer deleteFlag;

    private String deleteTime;

    private String deleteBatchNum;
    private String createTime;
    private String createUserId;
    private String modifyTime;
    private String modifyUserId;

    public UserFile() {};


    public boolean isDirectory() {
        return this.isDir == 1;
    }

    public boolean isFile() {
        return this.isDir == 0;
    }

}
